# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: Server_Preprocessing_Protocol.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import common_pb2 as common__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='Server_Preprocessing_Protocol.proto',
  package='',
  syntax='proto3',
  serialized_pb=_b('\n#Server_Preprocessing_Protocol.proto\x1a\x0c\x63ommon.proto\"v\n\x14PreprocessingRequest\x12\r\n\x05token\x18\x01 \x01(\t\x12\x13\n\x0bimageBinary\x18\x02 \x01(\x0c\x12(\n\x14recognitionRectangle\x18\x03 \x01(\x0b\x32\n.Rectangle\x12\x10\n\x08savePath\x18\x04 \x01(\t\"a\n\x15PreprocessingResponse\x12\r\n\x05token\x18\x01 \x01(\t\x12\x39\n\x19preprocessedCharacterList\x18\x02 \x03(\x0b\x32\x16.PreprocessedCharacterb\x06proto3')
  ,
  dependencies=[common__pb2.DESCRIPTOR,])




_PREPROCESSINGREQUEST = _descriptor.Descriptor(
  name='PreprocessingRequest',
  full_name='PreprocessingRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='token', full_name='PreprocessingRequest.token', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='imageBinary', full_name='PreprocessingRequest.imageBinary', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='recognitionRectangle', full_name='PreprocessingRequest.recognitionRectangle', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='savePath', full_name='PreprocessingRequest.savePath', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=53,
  serialized_end=171,
)


_PREPROCESSINGRESPONSE = _descriptor.Descriptor(
  name='PreprocessingResponse',
  full_name='PreprocessingResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='token', full_name='PreprocessingResponse.token', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='preprocessedCharacterList', full_name='PreprocessingResponse.preprocessedCharacterList', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=173,
  serialized_end=270,
)

_PREPROCESSINGREQUEST.fields_by_name['recognitionRectangle'].message_type = common__pb2._RECTANGLE
_PREPROCESSINGRESPONSE.fields_by_name['preprocessedCharacterList'].message_type = common__pb2._PREPROCESSEDCHARACTER
DESCRIPTOR.message_types_by_name['PreprocessingRequest'] = _PREPROCESSINGREQUEST
DESCRIPTOR.message_types_by_name['PreprocessingResponse'] = _PREPROCESSINGRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

PreprocessingRequest = _reflection.GeneratedProtocolMessageType('PreprocessingRequest', (_message.Message,), dict(
  DESCRIPTOR = _PREPROCESSINGREQUEST,
  __module__ = 'Server_Preprocessing_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:PreprocessingRequest)
  ))
_sym_db.RegisterMessage(PreprocessingRequest)

PreprocessingResponse = _reflection.GeneratedProtocolMessageType('PreprocessingResponse', (_message.Message,), dict(
  DESCRIPTOR = _PREPROCESSINGRESPONSE,
  __module__ = 'Server_Preprocessing_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:PreprocessingResponse)
  ))
_sym_db.RegisterMessage(PreprocessingResponse)


# @@protoc_insertion_point(module_scope)
